Intrusion Prevention

Mozilla.Multiple.Products.Array.ReduceRight.Integer.Overflow

Description

This indicates an attack attempt against an Integer Overflow vulnerability in several Mozilla products.
The vulnerability is the result of an integer overflow. It can be exploited by a remote attacker to execute arbitrary code on vulnerable systems.

Affected Products

Mozilla Foundation Firefox prior to 3.6.18
Mozilla Foundation SeaMonkey 2.1 and prior.
Mozilla Foundation Thunderbird prior to 3.1.11

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Upgrade to the latest versions.

CVE References

CVE-2011-2371